пятница, 6 февраля 2015 г.

MA 3.0. Исправление ошибки и адаптация к новому MQL4

Дошла очередь адаптации к новому MQL4 и до индикатора MA. В процессе обновления кода обнаружилась критическая ошибка, из-за которой терминал может прекращать работу индикатора. В старом MT4 такая ошибка игнорировалась, либо её последствия не были видны сразу, но теперь всё больше неточностей выплывает наружу. Скачать новую версию можно со страницы индикатора MA. Хотя все входные параметры в коде остались прежними, решил обновить главную версию, так как прочие изменения существенны, например, благодаря новым возможностям MT4, не нужно использовать DLL для определения цвета фона графика.

Комментариев нет:

Отправить комментарий